Page MenuHomePhabricator

Archive the RecentActivityFeed extension
Closed, ResolvedPublicRequest

Description

Reason
Unmaintained, and broken (c.f. T241031). Code-wise it's mostly a copy of core special pages which is annoying for maintenance purposes. It hasn't seen any real feature development since 2014, everything after that has been shared maintenance.

To-do list

Event Timeline

Legoktm created this task.Dec 18 2019, 6:03 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptDec 18 2019, 6:03 AM
Legoktm updated the task description. (Show Details)Dec 18 2019, 6:04 AM
Dinoguy1000 updated the task description. (Show Details)Dec 19 2019, 4:59 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptDec 28 2019, 7:52 AM
Zoranzoki21 updated the task description. (Show Details)Dec 28 2019, 7:58 AM
Zoranzoki21 moved this task from Backlog to delete on the Wikimedia-GitHub board.
Zoranzoki21 moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
Zoranzoki21 moved this task from Backlog to Configuration changes on the translatewiki.net board.
Zoranzoki21 updated the task description. (Show Details)

Change 560872 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] Remove RecentActivityFeed extension from mediawiki-extensions.txt

https://gerrit.wikimedia.org/r/560872

Change 560873 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Remove RecentActivityFeed extension

https://gerrit.wikimedia.org/r/560873

Change 560874 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Archive RecentActivityFeed extension

https://gerrit.wikimedia.org/r/560874

Zoranzoki21 updated the task description. (Show Details)Dec 28 2019, 8:11 AM

Change 560875 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/RecentActivityFeed@master] Archive RecentActivityFeed extension

https://gerrit.wikimedia.org/r/560875

Change 560873 merged by Legoktm:
[mediawiki/extensions@master] Remove RecentActivityFeed extension

https://gerrit.wikimedia.org/r/560873

Zoranzoki21 updated the task description. (Show Details)Dec 28 2019, 8:45 AM

Change 560872 merged by jenkins-bot:
[translatewiki@master] Remove RecentActivityFeed extension from mediawiki-extensions.txt

https://gerrit.wikimedia.org/r/560872

Change 560875 merged by Umherirrender:
[mediawiki/extensions/RecentActivityFeed@master] Archive RecentActivityFeed extension

https://gerrit.wikimedia.org/r/560875

Change 560874 merged by jenkins-bot:
[integration/config@master] Archive RecentActivityFeed extension

https://gerrit.wikimedia.org/r/560874

Mentioned in SAL (#wikimedia-releng) [2020-01-02T17:02:38Z] <James_F|Away> Archive RecentActivityFeed extension T241032

@Jdforrester-WMF @MarcoAurelio Hello, can someone archive repository here on Phabricator and delete GitHub mirror please? These things are only left to do.

@Jdforrester-WMF @MarcoAurelio Hello, can someone archive repository here on Phabricator and delete GitHub mirror please? These things are only left to do.

Yes, I'm on it. Thanks for the ping.

@Jdforrester-WMF @MarcoAurelio Hello, can someone archive repository here on Phabricator and delete GitHub mirror please? These things are only left to do.

Yes, I'm on it. Thanks for the ping.

Done.

Zoranzoki21 closed this task as Resolved.Feb 16 2020, 1:13 PM
Zoranzoki21 updated the task description. (Show Details)